Bug 880497 - User column is always empty on Recipe Systems page
Summary: User column is always empty on Recipe Systems page
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Raymond Mancy
QA Contact: Qixiang Wan
URL:
Whiteboard: UX
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 07:35 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:55:49 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2012-11-27 07:35:58 UTC
The User column is always empty for me on the Recipe Systems page (click on number of Possible Systems for a queued recipe). Not yet sure why.

Comment 1 Raymond Mancy 2013-01-24 23:55:37 UTC
Ok this is because bool(<element_instance) returns the value __len__() which is the _children attribute.


(Pdb) print d_[0].user and d_[0].user.email_link or None
None
(Pdb) print d_[0].user.email_link
<Element a at 4d78250>
(Pdb) print bool(d_[0].user.email_link)
False
(Pdb) len(d_[0].user.email_link)
0
(Pdb) len(d_[0].user.email_link._children)
0

Comment 2 Raymond Mancy 2013-01-25 00:28:11 UTC
http://gerrit.beaker-project.org/#/c/1670/

Comment 5 Qixiang Wan 2013-03-27 02:16:09 UTC
Verified with beaker-0.11.3-1.git.187.dac7008.el6.
While a system is using by a user, queue a job on it, user column is not empty now.

Comment 6 Dan Callaghan 2013-04-11 04:55:49 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.